export default class HttpClient {
    baseUrl: string;
    commonHeaders: any;
    commonParams: any;
    constructor(config?: any);
    static create(config?: any): HttpClient;
    deleteHeader(key: string): void;
    setHeader(key: string, value: string | number): void;
    get(url: string, headers?: any, blob?: boolean): Promise<any>;
    post(url: string, params?: {}, extraHeaders?: {}): Promise<any>;
    patch(url: string, params?: {}, headers?: {}): Promise<any>;
    put(url: string, params?: {}, headers?: {}): Promise<any>;
    delete(url: string, headers?: {}): Promise<any>;
    getUrl(url: string): string;
    getHeaders(headers?: any): any;
    handleFetchResponse(url: string, request: Promise<any>, blob?: boolean): Promise<any>;
}
export interface AxiosResponse<T = never> {
    data: T;
    status: number;
    statusText: string;
    headers: Record<string, string>;
    config: any;
    request?: any;
}
