"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NEWSLETTER_SERVICE = exports.PUBLIC_MICROSERVICE = exports.OLDAPI = exports.MICROSERVICE = exports.API = void 0;
const custom_axios_1 = __importDefault(require("./custom-axios"));
const API = custom_axios_1.default.create({
    baseURL: process.env.NEXT_PUBLIC_BASE_URL + "/api/v2",
    headers: {
        "content-type": "application/json",
        "accept-language": process.env.NEXT_PUBLIC_LANGUAGE || "en",
        ...(process.env.NEXT_PUBLIC_X_TENANT && {
            "x-tenant": process.env.NEXT_PUBLIC_X_TENANT,
        }),
    },
});
exports.API = API;
const OLDAPI = custom_axios_1.default.create({
    baseURL: process.env.NEXT_PUBLIC_OLD_BASE_URL,
    headers: {
        "content-type": "application/json",
        ...(process.env.NEXT_PUBLIC_X_TENANT && {
            "x-tenant": process.env.NEXT_PUBLIC_X_TENANT,
        }),
    },
});
exports.OLDAPI = OLDAPI;
const MICROSERVICE = custom_axios_1.default.create({
    baseURL: process.env.NEXT_PUBLIC_MICROSERVICE_URL,
    headers: {
        "content-type": "application/json",
        "accept-language": process.env.NEXT_PUBLIC_LANGUAGE || "en",
        ...(process.env.NEXT_PUBLIC_X_TENANT && {
            "x-tenant": process.env.NEXT_PUBLIC_X_TENANT,
        }),
    },
    //tenant_id used to get cached requests
    params: {
        ...(process.env.NEXT_PUBLIC_X_TENANT && {
            tenant_id: process.env.NEXT_PUBLIC_X_TENANT,
        }),
    },
});
exports.MICROSERVICE = MICROSERVICE;
const PUBLIC_MICROSERVICE = custom_axios_1.default.create({
    baseURL: process.env.NEXT_PUBLIC_MICROSERVICE_URL,
    headers: {
        "content-type": "application/json",
    },
    //tenant_id used to get cached requests
    params: {
        ...(process.env.NEXT_PUBLIC_X_TENANT && {
            tenant_id: process.env.NEXT_PUBLIC_X_TENANT,
        }),
    },
});
exports.PUBLIC_MICROSERVICE = PUBLIC_MICROSERVICE;
const NEWSLETTER_SERVICE = custom_axios_1.default.create({
    baseURL: process.env.NEXT_PUBLIC_NEWSLETTER_SERVICE ||
        "https://newsletter-service-service.testifier.nl/",
    headers: {
        "content-type": "application/json",
        ...(process.env.NEXT_PUBLIC_X_TENANT && {
            "x-tenant": process.env.NEXT_PUBLIC_X_TENANT,
        }),
    },
    params: {
        ...(process.env.NEXT_PUBLIC_X_TENANT && {
            tenant_id: process.env.NEXT_PUBLIC_X_TENANT,
        }),
    },
});
exports.NEWSLETTER_SERVICE = NEWSLETTER_SERVICE;
